commit - db9afbbf0e890f4f84f908e733a74f28e565ff4b
commit + fb9707de98d1b15779779c55e266b92508d7e26c
blob - 306433b036897d7d78aeebe0581b2982f98306a9
blob + 0f85958e98c3acce91ebe67899fe319aea33f02b
--- src/testsuite/stress-server.sh
+++ src/testsuite/stress-server.sh
# (at your option) any later version.
# Please read the file COPYING, README and AUTHORS for more information.
#
-# $Id: stress-server.sh,v 1.15 2004/09/06 22:04:06 alex Exp $
+# $Id: stress-server.sh,v 1.16 2005/12/30 22:13:21 alex Exp $
#
# detect source directory
no=`expr ${no} + 1`
done
+# run first script and check if it succeeds
+echo_n " checking stress script ..."
+expect tests/0.e > logs/stress-0.log 2> /dev/null
+if [ $? -ne 0 ]; then
+ echo " failure!"
+ exit 1
+else
+ echo " ok."
+fi
+
no=0
while [ ${no} -lt $CLIENTS ]; do
expect tests/${no}.e > logs/stress-${no}.log 2> /dev/null &